## org.apache.mahout.cf.taste.hadoop
Class TopItemsQueue

    java.lang.Object
      org.apache.lucene.util.PriorityQueue<MutableRecommendedItem>
          org.apache.mahout.cf.taste.hadoop.TopItemsQueue

    public class TopItemsQueue

extends org.apache.lucene.util.PriorityQueue<MutableRecommendedItem>

Constructor Summary
`TopItemsQueue(int maxSize)`

Method Summary
`protected MutableRecommendedItem` `getSentinelObject()`
`List<RecommendedItem>` `getTopItems()`
`protected boolean` `lessThan(MutableRecommendedItem one, MutableRecommendedItem two)`

Methods inherited from class org.apache.lucene.util.PriorityQueue
`add, clear, getHeapArray, insertWithOverflow, pop, size, top, updateTop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopItemsQueue

    public TopItemsQueue(int maxSize)

Method Detail

### getTopItems

    public List<RecommendedItem> getTopItems()

### lessThan

    protected boolean lessThan(MutableRecommendedItem one,
                               MutableRecommendedItem two)

  Specified by:
    `lessThan` in class `org.apache.lucene.util.PriorityQueue<MutableRecommendedItem>`

### getSentinelObject

    protected MutableRecommendedItem getSentinelObject()

  Overrides:
    `getSentinelObject` in class `org.apache.lucene.util.PriorityQueue<MutableRecommendedItem>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.